> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Share Requests

> This endpoint returns all Share Requests that have been created.



## OpenAPI

````yaml openapi_2024-03-27 get /consumer/connection/share_request
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-27'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /consumer/connection/share_request:
    get:
      tags:
        - Consumer
      summary: Get Share Requests
      description: This endpoint returns all Share Requests that have been created.
      operationId: get_share_requests_consumer_connection_share_request_get
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-27'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-27'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success_list_ShareRequest__'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    Success_list_ShareRequest__:
      properties:
        data:
          items:
            $ref: '#/components/schemas/ShareRequest'
          type: array
          title: Data
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[list[ShareRequest]]
    ShareRequest:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        created_at:
          type: string
          title: Created At
        responded_at:
          anyOf:
            - type: string
            - type: 'null'
          title: Responded At
        consumer_tenant:
          $ref: '#/components/schemas/ConsumerTenant'
        provider_email:
          type: string
          format: email
          title: Provider Email
        provider_tenant_id:
          anyOf:
            - type: string
              format: uuid4
            - type: 'null'
          title: Provider Tenant Id
        filter_id:
          type: string
          format: uuid4
          title: Filter Id
        share_code:
          type: string
          title: Share Code
        accepted:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Accepted
      type: object
      required:
        - id
        - created_at
        - responded_at
        - consumer_tenant
        - provider_email
        - provider_tenant_id
        - filter_id
        - share_code
        - accepted
      title: ShareRequest
    ConsumerTenant:
      properties:
        id:
          type: string
          format: uuid4
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ConsumerTenant
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````